Method: projects.locations.brands.ingestionLogs.appendIngestionPhase

Appends an ingestion phase to an ingestion log.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1beta/{name=projects/*/locations/*/brands/*/ingestionLogs/*}:appendIngestionPhase

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the ingestion log to append the phase to. Format: projects/{project}/locations/{location}/brands/{brand}/ingestionLogs/{ingestionLog}

Request body

The request body contains data with the following structure:

JSON representation
{
  "ingestionPhase": {
    object (IngestionPhase)
  }
}
Fields
ingestionPhase

object (IngestionPhase)

Required. The ingestion phase to append.

Response body

If successful, the response body contains an instance of IngestionLog.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.